RedCrawler API
Flairs V1

Delete Flair Template V1

Delete a specific flair template by ID. Requires mod permissions.

POST /api/v1/communities/{name}/delete-flair-template

Delete a specific flair template by ID. Requires mod permissions.

Path parameters

NameTypeRequiredDescription
namestringYesSubreddit name.

Body parameters

NameTypeRequiredDescription
flair_template_idstringYesFlair template ID to delete.
proxystringNoProxy. Optional if stored in Token Vault.
bearerstringNoBearer token. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/delete-flair-template" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"flair_template_id": "<flair_template_id>", "proxy": "<proxy>", "bearer": "<bearer>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/delete-flair-template", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "flair_template_id": "<flair_template_id>",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/delete-flair-template"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "flair_template_id": "<flair_template_id>",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "json": {
      "errors": []
    }
  },
  "error": null,
  "timestamp": "2026-04-29T10:18:03.547892+00:00"
}

On this page